VIGRA - VIGRA: Two-dimensional Ranges and Points

[ VIGRA Homepage | Function Index | Class Index | Namespaces | File List | Main Page ]

| Two-dimensional Ranges and Points |

## Classes
class | Diff2D
| Two dimensional difference vector. More...
class | Dist2D
class | Point2D
| Two dimensional point or position. More...
class | Rect2D
| Two dimensional rectangle. More...
class | Size2D
| Two dimensional size object. More...
## Functions
Point2D | operator+ (Size2D const &s, Point2D const &p)
Point2D | operator+ (Point2D const &a, Diff2D const &b)
Size2D | operator+ (Size2D const &a, Diff2D const &b)
Diff2D | operator+ (Diff2D const &a, Diff2D const &b)
Size2D | operator- (Point2D const &s, Point2D const &p)
Point2D | operator- (Point2D const &s, Diff2D const &offset)
Size2D | operator- (Size2D const &s, Diff2D const &offset)
Diff2D | operator- (Diff2D const &a, Diff2D const &b)

## Detailed Description

Specify a 2D position, extent, or rectangle.

## Function Documentation

Diff2D vigra::operator- | ( | Diff2D const & | a,
|  | Diff2D const & | b |
| ) |  |  |

Create vector by subtracting specified offset.

Size2D vigra::operator- | ( | Size2D const & | s,
|  | Diff2D const & | offset |
| ) |  |  |

Create size by subtracting specified offset.

Point2D vigra::operator- | ( | Point2D const & | s,
|  | Diff2D const & | offset |
| ) |  |  |

Calculate size of rect between two points.

Size2D vigra::operator- | ( | Point2D const & | s,
|  | Point2D const & | p |
| ) |  |  |

The difference of two points is a size

Diff2D vigra::operator+ | ( | Diff2D const & | a,
|  | Diff2D const & | b |
| ) |  |  |

Create vector by adding specified offset.

Size2D vigra::operator+ | ( | Size2D const & | a,
|  | Diff2D const & | b |
| ) |  |  |

Create size by adding specified offset.

Point2D vigra::operator+ | ( | Point2D const & | a,
|  | Diff2D const & | b |
| ) |  |  |

Create point by adding specified offset.

Point2D vigra::operator+ | ( | Size2D const & | s,
|  | Point2D const & | p |
| ) |  |  |

Add size and point

© Ullrich Köthe (ullrich.koethe@iwr.uni-heidelberg.de) Heidelberg Collaboratory for Image Processing, University of Heidelberg, Germany | html generated using doxygen and Python VIGRA 1.6.0 (13 Aug 2008)